TikTok Shop

One creator as this shop sees them: ids, sales here, content, samples and showcase

GET/api/public/v1/tik_tok_shop/creators/profile
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopCreatorProfile

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/profile" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
openIdquerystring
usernamequerystring
breakdownquerystringOne of truefalse Default false
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
contentobject, nullable
content.commentsnumber, nullable
content.lastPostedAtstring, nullable
content.likesnumber, nullable
content.livesnumber, nullable
content.videosnumber, nullable
content.viewsnumber, nullable
creatorobject, nullable
creator.avatarUrl, nullable
creator.firstSeenAtstring, nullable
creator.followerCountnumber, nullable
creator.lastSeenAtstring, nullable
creator.nicknamestring, nullable
creator.oecIdstring, nullable
creator.openIdstring, nullable
creator.previousUsernamesarray of string, nullable
creator.profileUrlstring, nullable
creator.secUidstring, nullable
creator.usernamestring, nullable
foundboolean, nullable
lookupobject, nullable
lookup.usernamestring, nullable
marketplaceStatsobject, nullable
marketplaceStats.fulfillmentRatenumber, nullable
marketplaceStats.gmvAmountstring, nullable
marketplaceStats.gmvCurrencystring, nullable
marketplaceStats.medianVideoViewsnumber, nullable
marketplaceStats.videoCountnumber, nullable
notestring, nullable
salesobject, nullable
sales.breakdown, nullable
sales.breakdownStatusstring, nullable
sales.currencystring, nullable
sales.last28Daysobject, nullable
sales.last28Days.commissionEstimatednumber, nullable
sales.last28Days.fromstring, nullable
sales.last28Days.gmvGrossnumber, nullable
sales.last28Days.itemsSoldnumber, nullable
sales.last28Days.ordersnumber, nullable
sales.last28Days.tostring, nullable
sales.lifetimeobject, nullable
sales.lifetime.commissionEstimatednumber, nullable
sales.lifetime.firstSaleDaystring, nullable
sales.lifetime.gmvGrossnumber, nullable
sales.lifetime.itemsSoldnumber, nullable
sales.lifetime.lastOrderAtstring, nullable
sales.lifetime.ordersnumber, nullable
sales.usernamesarray of string, nullable
samplesobject, nullable
samples.byStateobject, nullable
samples.byState.content_fulfillednumber, nullable
samples.byState.sample_shippednumber, nullable
samples.totalnumber, nullable
segmentsarray of object, nullable
segments[].[].namestring, nullable
segments[].[].segmentIdstring, nullable
showcaseobject, nullable
showcase.byStateobject, nullable
showcase.byState.added_to_showcasenumber, nullable
showcase.totalnumber, nullable
sweptThroughstring, nullable

Example

{
  "content": {
    "comments": 125.5,
    "lastPostedAt": "string",
    "likes": 125.5,
    "lives": 125.5,
    "videos": 125.5,
    "views": 125.5
  },
  "creator": {
    "avatarUrl": "https://example.com/p/1",
    "firstSeenAt": "string",
    "followerCount": 125.5,
    "lastSeenAt": "string",
    "nickname": "Example name",
    "oecId": "string",
    "openId": "string",
    "previousUsernames": [
      "Example name"
    ],
    "profileUrl": "https://example.com/p/1",
    "secUid": "string",
    "username": "Example name"
  },
  "found": true,
  "lookup": {
    "username": "Example name"
  },
  "marketplaceStats": {
    "fulfillmentRate": 0.15,
    "gmvAmount": "string",
    "gmvCurrency": "string",
    "medianVideoViews": 125.5,
    "videoCount": 125.5
  },
  "note": "string",
  "sales": {
    "breakdown": "string",
    "breakdownStatus": "string",
    "currency": "usd",
    "last28Days": {
      "commissionEstimated": 125.5,
      "from": "string",
      "gmvGross": 125.5,
      "itemsSold": 125.5,
      "orders": 125.5,
      "to": "string"
    },
    "lifetime": {
      "commissionEstimated": 125.5,
      "firstSaleDay": "string",
      "gmvGross": 125.5,
      "itemsSold": 125.5,
      "lastOrderAt": "string",
      "orders": 125.5
    },
    "usernames": [
      "Example name"
    ]
  },
  "samples": {
    "byState": {
      "content_fulfilled": 125.5,
      "sample_shipped": 125.5
    },
    "total": 125.5
  },
  "segments": [
    {
      "name": "Example name",
      "segmentId": "string"
    }
  ],
  "showcase": {
    "byState": {
      "added_to_showcase": 125.5
    },
    "total": 125.5
  },
  "sweptThrough": "string"
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.